Hi Jose,
can you check that your release_15.07 is updated and contains git commit 197c7b21b209a7b6fbdb9a8a11c232a2b88523fc ( https://github.com/galaxyproject/galaxy/commit/197c7b21b209a7b6fbdb9a8a11c232a2b88523fc )?


Cheers,
Nicola

On 28/10/15 14:53, Jose Juan Almagro Armenteros wrote:
Hello Björn,

I am using Galaxy 15.07, so everything should be updated.

Regards,

Jose

2015-10-28 15:43 GMT+01:00 Björn Grüning <bjoern.gruen...@gmail.com <mailto:bjoern.gruen...@gmail.com>>:

    Hi Jose,

    which version of Galaxy are you using?
    @Dave can this be one of the old un-compressing changes?

    Cheers,
    Bjoern

    Am 28.10.2015 um 15:31 schrieb Jose Juan Almagro Armenteros:
    > Hello,
    >
    > I have tried to install the last version of Bismark from the
    toolshed and I
    > got an error while installing. Basically it can't install bowtie and
    > bowtie2 because the folder name
    > is written twice in the download directory. Here is the error:
    >
    > File
    
"/steno-internal/projects/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py",
    > line 142, in install_and_build_package_via_fabric
    >     tool_dependency = self.install_and_build_package(
    > tool_shed_repository, tool_dependency, actions_dict )
    >   File
    
"/steno-internal/projects/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py",
    > line 100, in install_and_build_package
    >     initial_download=True )
    >   File
    
"/steno-internal/projects/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/recipe_manager.py",
    > line 32, in execute_step
    >     initial_download=initial_download )
    >   File
    
"/steno-internal/projects/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/step_handler.py",
    > line 685, in execute_step
    >     dir = self.url_download( work_dir, downloaded_filename, url,
    > extract=True, checksums=checksums )
    >   File
    
"/steno-internal/projects/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/step_handler.py",
    > line 223, in url_download
    >     extraction_path = archive.extract( install_dir )
    >   File
    
"/steno-internal/projects/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/step_handler.py",
    > line 89, in extract
    >     os.chmod( absolute_filepath, unix_permissions )
    >
    > [Errno 2] No such file or directory:
    > './database/tmp/tmp-toolshed-mtdM4XBx_/bowtie-0.12.8/bowtie-0.12.8/'
    >
    > As you see "bowtie-0.12.8" is twice in the path and when I check the
    > directory, the last "bowtie-0.12.8" folder doesn't exists.
    >
    > Do you know what could go wrong or an alternative way of
    specifying the
    > correct path?
    >
    >
    > Best regards,
    >
    > Jose
    >
    >
    >
    > ___________________________________________________________
    > Please keep all replies on the list by using "reply all"
    > in your mail client.  To manage your subscriptions to this
    > and other Galaxy lists, please use the interface at:
    > https://lists.galaxyproject.org/
    >
    > To search Galaxy mailing lists use the unified search at:
    > http://galaxyproject.org/search/mailinglists/
    >




___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
   https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
   http://galaxyproject.org/search/mailinglists/

___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/

Reply via email to